Package ru.bitel.bgbilling.plugins.assistant.server.bean

# Class AssistantContract

java.lang.Object
ru.bitel.common.model.ContractId
ru.bitel.bgbilling.plugins.assistant.server.bean.AssistantContract

All Implemented Interfaces:
  `ContractIdable`

public class AssistantContract extends ContractId

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `AssistantContract()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<Map<String,Object>>`
  `getAccounts()`
  `BigDecimal`
  `getBalance()`
  `List<Map<String,Object>>`
  `getCharges()`
  `String`
  `getContractComment()`
  `String`
  `getContractTitle()`
  `BigDecimal`
  `getLimit()`
  `List<Map<String,Object>>`
  `getPayments()`
  `String`
  `getStatus()`
  `List<Map<String,Object>>`
  `getTariffs()`
  `void`
  `setAccounts(List<Map<String,Object>> accounts)`
  `void`
  `setBalance(BigDecimal balance)`
  `void`
  `setCharges(List<Map<String,Object>> charges)`
  `void`
  `setContractComment(String contractComment)`
  `AssistantContract`
  `setContractId(int contractId)`
  `void`
  `setContractTitle(String contractTitle)`
  `void`
  `setLimit(BigDecimal limit)`
  `void`
  `setPayments(List<Map<String,Object>> payments)`
  `void`
  `setStatus(String status)`
  `void`
  `setTariffs(List<Map<String,Object>> tariffs)`

  ### Methods inherited from class ru.bitel.common.model.ContractId

  `getContractId`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### AssistantContract

    public AssistantContract()

- ## Method Details

  - ### setContractId

    public AssistantContract setContractId(int contractId)
    Overrides:
      `setContractId` in class `ContractId`

  - ### getContractTitle

    public String getContractTitle()

  - ### setContractTitle

    public void setContractTitle(String contractTitle)

  - ### getContractComment

    public String getContractComment()

  - ### setContractComment

    public void setContractComment(String contractComment)

  - ### getStatus

    public String getStatus()

  - ### setStatus

    public void setStatus(String status)

  - ### getBalance

    public BigDecimal getBalance()

  - ### setBalance

    public void setBalance(BigDecimal balance)

  - ### getLimit

    public BigDecimal getLimit()

  - ### setLimit

    public void setLimit(BigDecimal limit)

  - ### getTariffs

    public List<Map<String,Object>> getTariffs()

  - ### setTariffs

    public void setTariffs(List<Map<String,Object>> tariffs)

  - ### getPayments

    public List<Map<String,Object>> getPayments()

  - ### setPayments

    public void setPayments(List<Map<String,Object>> payments)

  - ### getCharges

    public List<Map<String,Object>> getCharges()

  - ### setCharges

    public void setCharges(List<Map<String,Object>> charges)

  - ### getAccounts

    public List<Map<String,Object>> getAccounts()

  - ### setAccounts

    public void setAccounts(List<Map<String,Object>> accounts)